summaryrefslogtreecommitdiffstats
path: root/libraries/dcmtk
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/dcmtk')
-rw-r--r--libraries/dcmtk/README8
-rw-r--r--libraries/dcmtk/dcmtk.SlackBuild33
-rw-r--r--libraries/dcmtk/dcmtk.info6
3 files changed, 26 insertions, 21 deletions
diff --git a/libraries/dcmtk/README b/libraries/dcmtk/README
index 9f0d283feb..c9495e0434 100644
--- a/libraries/dcmtk/README
+++ b/libraries/dcmtk/README
@@ -1,6 +1,6 @@
-The DICOM (Digital Imaging and Communications in Medicine) ToolKit (DCMTK)
-package consists of source code, documentation and installation instructions
-for a set of software libraries and applications implementing part of the
-DICOM/MEDICOM Standard.
+The DICOM (Digital Imaging and Communications in Medicine)
+ToolKit (DCMTK) package consists of source code, documentation
+and installation instructions for a set of software libraries and
+applications implementing part of the DICOM/MEDICOM Standard.
This package is an optional requirement for OpenSceneGraph.
diff --git a/libraries/dcmtk/dcmtk.SlackBuild b/libraries/dcmtk/dcmtk.SlackBuild
index a8957a3ebc..5315e24d13 100644
--- a/libraries/dcmtk/dcmtk.SlackBuild
+++ b/libraries/dcmtk/dcmtk.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for dcmtk
-# Copyright 2018-2021 Christoph Willing, Brisbane Australia
+# Copyright 2018-2023 Christoph Willing, Brisbane Australia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,11 +22,17 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20230203 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - install ANNOUNCE in doc dir without +x permission.
+# 20220408 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - remove empty html dir from doc dir.
+# - remove useless INSTALL from doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=dcmtk
SRCNAM=dcmtk-DCMTK
-VERSION=${VERSION:-3.6.6}
+VERSION=${VERSION:-3.6.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +45,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -76,9 +79,9 @@ cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
mkdir build
cd build
@@ -94,20 +97,22 @@ cd build
-DDCMTK_ENABLE_CXX11=ON \
-DCMAKE_BUILD_TYPE=Release ..
make
- make install DESTDIR=$PKG
+ make install/strip DESTDIR=$PKG
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+gzip -9 $PKG/usr/man/man*/*
+chmod 644 ANNOUNCE # 20230203 bkw: does not need +x permission
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ANNOUNCE CHANGES COPYRIGHT CREDITS FAQ HISTORY INSTALL README VERSION \
+cp -a ANNOUNCE CHANGES COPYRIGHT CREDITS FAQ HISTORY README VERSION \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# 20220408 bkw: this dir is empty... but I suspect it's possible that
+# it might not always be (some optional dep that's required for HTML
+# docs). So only remove if it really is empty.
+rmdir $PKG/usr/doc/$PRGNAM-$VERSION/html 2>/dev/null || true
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/dcmtk/dcmtk.info b/libraries/dcmtk/dcmtk.info
index 1a9ab1781e..4d1e7b7439 100644
--- a/libraries/dcmtk/dcmtk.info
+++ b/libraries/dcmtk/dcmtk.info
@@ -1,8 +1,8 @@
PRGNAM="dcmtk"
-VERSION="3.6.6"
+VERSION="3.6.8"
HOMEPAGE="https://dicom.offis.de/dcmtk"
-DOWNLOAD="https://github.com/DCMTK/dcmtk/archive/DCMTK-3.6.6/dcmtk-DCMTK-3.6.6.tar.gz"
-MD5SUM="a9682030c95caea67e32c824ccf3de07"
+DOWNLOAD="https://github.com/DCMTK/dcmtk/archive/DCMTK-3.6.8/dcmtk-DCMTK-3.6.8.tar.gz"
+MD5SUM="ce3e878c05165f1a3322c29e67f2426f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""